// script to plot a Polya distribution used for gas gain fluctuation
//
void Polya(double theta = 0.5)
{ 
  const double norm  = 1.0;
  TPC::Polya pol(theta,norm);
  //--
  // Draw Polya distribution.
  //--
  TCanvas *cp = new TCanvas("c2","",400.,400.);
  cp->cd();

  TH1D *hp = new TH1D("hpol","",100,0.,10.);
  const int kNe = 10000;
  for (int ie=0; ie<kNe; ie++) {
    double g = pol.GetRandom();
    hp->Fill(g);
  }
  hp->Draw();
  pol.SetParameter(1,kNe*hp->GetBinWidth(0));
  pol.DrawCopy("same");
}
