#ifndef TPC_POLYA_H
#define TPC_POLYA_H
#include "TF1.h"
namespace TPC {
class Polya : public TF1 {
public:
    Polya(double theta = 0.5,  // Theta
          double norm  = 1.0); // Normalization

    inline int    GetNorm () const { return GetParameter(0); }
    inline double GetTheta() const { return GetParameter(1); }

    static double PDF(const double *x, const double *p);

    ClassDef(Polya, 1)   // Polya distribution class
};
}
#endif
